Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.fortuna.ical4j.data
Interface CalendarParser

All Known Implementing Classes:
  CalendarParserImpl

    public interface CalendarParser

Implementors provide iCalendar parsing functionality.

Author:
  Ben Fortuna

Method Summary
`void` | `parse(InputStream in, ContentHandler handler)` Parse the iCalendar data from the specified input stream.
`void` | `parse(Reader in, ContentHandler handler)` Parse the iCalendar data from the specified reader.

Method Detail

### parse

    void parse(InputStream in,
               ContentHandler handler)
               throws IOException,
                      ParserException

  Parse the iCalendar data from the specified input stream.

  Parameters:
    `in` - an input stream from which to read iCalendar data
    `handler` - the content handler to notify during parsing
  Throws:
    `IOException` - thrown when unable to read from the specified stream
    `ParserException` - thrown if an error occurs during parsing

### parse

    void parse(Reader in,
               ContentHandler handler)
               throws IOException,
                      ParserException

  Parse the iCalendar data from the specified reader.

  Parameters:
    `in` - a reader from which to read iCalendar data
    `handler` - the content handler to notify during parsing
  Throws:
    `IOException` - thrown when unable to read from the specified reader
    `ParserException` - thrown if an error occurs during parsing

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2007 Modularity. All Rights Reserved.